hplip for debian 9

Kernels & Hardware, configuring network, installing services

hplip for debian 9

Postby jboud » 2017-08-11 07:18

Hello debs,
I'm wondering if anyone else has this issue. I have an HP network mfp and it used to work for scanning (xsane) through hplip. Hplip is not yet updated to support debian 9, so I'm left without scanning for a while. I did try to contact the devs to see if they have an ETA but they want me to subscribe through ubuntu one first and I don't want to get there... so I'm wondering if anyone else has figured a workaround. The printer is an HP 1536dnf MFP and I'm using debian 9.

cheers
jboud
 
Posts: 2
Joined: 2017-08-11 07:10

Re: hplip for debian 9

Postby roseway » 2017-08-11 10:41

Stretch (Debian 9) has hplip version 3.16.11. See https://packages.qa.debian.org/h/hplip.html
Eric
User avatar
roseway
 
Posts: 1469
Joined: 2007-12-31 22:50
Location: Kent, UK

Re: hplip for debian 9

Postby shep » 2017-08-11 13:25

In the past, Debian Backports, has supplied the version the hplip version from the newer HPLIP Buster from testing.

Can't tell you when it will happen although it should be soon
Last edited by shep on 2017-08-11 16:42, edited 1 time in total.
shep
 
Posts: 90
Joined: 2011-03-15 15:22

Re: hplip for debian 9

Postby deborah-and-ian » 2017-08-11 16:40

jboud wrote:Hplip is not yet updated to support debian 9, so I'm left without scanning for a while.


Code: Select all
apt show hplip


jboud wrote:The printer is an HP 1536dnf MFP and I'm using debian 9.


HP Website wrote:HP LaserJet m1536dnf MFP [...] Minimum HPLIP version 3.11.1 *1


roseway wrote:Stretch (Debian 9) has hplip version 3.16.11


So, the current version in Stretch should be enough. To find this out, I just had to google the model name and add the word linux to it. It's literally the first link!

*1 HPLIP Site about HP LaserJet m1536dnf MFP
Debian GNU/Linux 9 Stretch

Acer Aspire E5-521G
AMD A8-6410 APU
8 GB RAM
integrated AMD Mullins
dedicated AMD Hainan Radeon R5 M240 2 GB
240 GB Toshiba Q300 SSD
Realtek RTL8111/8168/8411 ethernet
Qualcomm Atheros QCA9565 wireless
deborah-and-ian
 
Posts: 147
Joined: 2016-07-13 08:40

Re: hplip for debian 9

Postby jboud » 2017-08-23 08:09

Hey, thanks for the feedback. You are right, it worked with the repository hplip, it just wasn't straight forward. hp-setup needed some dependencies that needed some googling, something about pyqt5 so I did end up in the hplip project page you mentioned and it didn't say it supported debian 9 (it still doesn't), hence my confusion. In the end it all worked just fine and I can use Xsane once again :D

cheers
jboud
 
Posts: 2
Joined: 2017-08-11 07:10

Re: hplip for debian 9

Postby deborah-and-ian » 2017-08-23 15:48

I've never had something like that happen. Usually, I just use hplip-gui, since it automatically downloads proprietary drivers from HP -- sadly the current printer needs it.
Debian GNU/Linux 9 Stretch

Acer Aspire E5-521G
AMD A8-6410 APU
8 GB RAM
integrated AMD Mullins
dedicated AMD Hainan Radeon R5 M240 2 GB
240 GB Toshiba Q300 SSD
Realtek RTL8111/8168/8411 ethernet
Qualcomm Atheros QCA9565 wireless
deborah-and-ian
 
Posts: 147
Joined: 2016-07-13 08:40


Return to System configuration

Who is online

Users browsing this forum: Onsemeliot and 5 guests

fashionable